changeset 503:dfd5357403aa

moar betterer
author Jeff Hammel <jhammel@mozilla.com>
date Sat, 31 Aug 2013 16:05:56 -0700
parents 155c8a6b471e
children c805a31fe0f5
files bin/setup-X.sh
diffstat 1 files changed, 10 insertions(+), 12 deletions(-) [+]
line wrap: on
line diff
--- a/bin/setup-X.sh	Thu Aug 29 19:16:57 2013 -0700
+++ b/bin/setup-X.sh	Sat Aug 31 16:05:56 2013 -0700
@@ -1,14 +1,18 @@
 #!/bin/bash
 
-# daemons
-for i in nm-applet gkrellm diodon # 'synapse -s'
+### daemons
+# nm-applet: network manager
+# gkrellm: system monitor
+# diodon: clipboard manager
+# arbtt-capture: arbitrary time tracker (redundant with tracker?)
 # To add: x-tile; qamixer (well, some mixer); gnome-activity journal
+for i in nm-applet gkrellm diodon arbtt-capture
 do
-    if ! pidof ${i}
+    if which ${i}
     then
-        echo "not running: $i"
-        if which ${i}
+        if ! pidof ${i}
         then
+            echo "not running: $i"
             ${i} &
         fi
     fi
@@ -16,18 +20,12 @@
 
 # TODO: add workspace specific programs
 
-# arbitrary time tracker
-if which arbtt-capture
-then
-    arbtt-capture
-fi
-
 # ssh-add
 if [[ `ssh-add -l` != *id_?sa* ]]
 then
  SSH_ASKPASS=/usr/bin/ksshaskpass
  if [[ -e $SSH_ASKPASS ]]
  then
-   ssh-add
+   SSH_ASKPASS=${SSH_ASKPASS} ssh-add
  fi
 fi
\ No newline at end of file